Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp.examples
Class DirectKeySignature

    java.lang.Object
      org.bouncycastle.openpgp.examples.DirectKeySignature

    public class DirectKeySignature

extends java.lang.Object

A simple utility class that directly signs a public key and writes the signed key to "SignedKey.asc" in the current working directory.

To sign a key: DirectKeySignature secretKeyFile secretKeyPass publicKeyFile(key to be signed) NotationName NotationValue.

To display a NotationData packet from a publicKey previously signed: DirectKeySignature signedPublicKeyFile.

Note: this example will silently overwrite files, nor does it pay any attention to the specification of "_CONSOLE" in the filename. It also expects that a single pass phrase will have been used.

Constructor Summary
`DirectKeySignature()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectKeySignature

    public DirectKeySignature()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45